ISTI Open Access - Bug #12669

Wrong encoding after startup
Oct 12,2018 11:26 AM - Michele Artini

Status: Closed Start date: Oct 12, 2018
Priority: Normal Due date:
Assignee: _InfraScience Site Reliability Engineer | % Done: 100%
(SRE)
Category:
Target version: ISTI Open Portal Issues
Description

| noticed that after the reboot the D-Net container starts with an invalid encoding (ANSI instead of UTF-8).

| don't know if solr has the same problem

History

#1 - Oct 12,2018 11:29 AM - Andrea Dell'Amico
What portal? | know that /ST/ Open Portal has a meaning to you, but | need the hostname(s).

#2 - Oct 12,2018 11:34 AM - Andrea Dell'Amico

- Assignee changed from Andrea Dell'’Amico to _InfraScience Site Reliability Engineer (SRE)

#3 - Nov 07, 2018 01:51 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- % Done changed from 0 to 100

The option -Dfile.encoding=UTF-8 was missing from the tomcat JDK options at startup.
When you started the services from the command line they inherited your environment, while at boot they used the C locale.

#4 - Nov 07, 2018 01:52 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

Fixed for both the dnet and solr containers (no changes to the provisioning settings, that option is now the default).

Apr 04, 2025

1/1



http://www.tcpdf.org

